[Haskell-cafe] Debian 6.0.5: 'cabal install curl' problem

Marco Túlio Pimenta Gontijo marcotmarcot at gmail.com
Tue Aug 14 16:29:20 CEST 2012

Hi dokondr.

On Tue, Aug 14, 2012 at 11:23 AM, dokondr <dokondr at gmail.com> wrote:
> Cabal fails to install 'curl' because it can not find curl library. Please
> see detailed cabal output at the end of this message.

Cabal means the curl C library, which must be installed by either the packages
libcurl4-openssl-dev or libcurl4-gnutls-dev.  If a situation like this happens
again, you can search for candidate packages with:

$ apt-cache search lib curl dev
collectd-core - statistics collection and monitoring daemon (core system)
libcurl4-gnutls-dev - Development files and documentation for libcurl (GnuTLS)
libcurl4-openssl-dev - Development files and documentation for libcurl (OpenSSL)
devscripts - scripts to make the life of a Debian Package maintainer easier
libflickcurl-dev - C library for accessing the Flickr API - development files
libghc6-curl-dev - GHC 6 libraries for the libcurl Haskell bindings
liblua5.1-curl-dev - libcURL development files for the Lua language version 5.1
liblua5.1-curl0 - libcURL bindings for the Lua language version 5.1
libwww-curl-perl - Perl bindings to libcurl
libcurl-ocaml-dev - OCaml libcurl bindings (Development package)
python-pycurl-dbg - Python bindings to libcurl (debug extension)
python-pycurl - Python bindings to libcurl
tclcurl - Tcl bindings to libcurl
php5-curl - CURL module for php5

Or, even better, use the aptitude interface and search (with /) for "lib curl
dev", which will lead you directly to the right package in this case.


More information about the Haskell-Cafe mailing list